Skip to main content
GET
/
api
/
v2
/
swap
/
quote
GET /api/v2/swap/quote — Get a swap quote (read-only, cacheable)
curl --request GET \
  --url https://api.shuriken.trade/api/v2/swap/quote \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "chain": "<string>",
    "expiresAt": "<string>",
    "fees": {
      "dexFeeInNative": "<string>",
      "platformFeeAmount": "<string>",
      "platformFeeBps": 123
    },
    "inAmount": "<string>",
    "inputMint": "<string>",
    "outAmount": "<string>",
    "outputMint": "<string>",
    "quoteId": "<string>",
    "routes": [
      {
        "source": "<string>",
        "feeMint": "<string>",
        "inAmount": "<string>",
        "outAmount": "<string>",
        "poolFeeTier": "<string>"
      }
    ],
    "slippageBps": 123,
    "priceImpactPct": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

chain
string
required

Chain: solana, base, bsc, monad

inputMint
string
required

Token address to sell

outputMint
string
required

Token address to buy

amount
string
required

Amount in base units (positive integer string, no decimals)

slippageBps
integer<int32>

Slippage in basis points (default: 100)

Response

Swap quote

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info